org.eclipse.net4j.signal.wrapping

## Class XORStreamWrapperInjector

- java.lang.Object
- - org.eclipse.net4j.signal.wrapping.StreamWrapperInjector
  - - org.eclipse.net4j.signal.wrapping.XORStreamWrapperInjector

- All Implemented Interfaces:
    IElementProcessor

      public class XORStreamWrapperInjector
      extends StreamWrapperInjector

  An `injector` that injects `XORStreamWrapper` instances.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XORStreamWrapperInjector(String protocolID, int[] key)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.signal.wrapping.StreamWrapperInjector

      `getProtocolID, getStreamWrapper, inject, process, shouldInject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XORStreamWrapperInjector

          public XORStreamWrapperInjector(String protocolID,
                                          int[] key)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html